Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer
Class KeyInfoKeySelector

    java.lang.Object
      javax.xml.crypto.KeySelector
          be.fedict.eid.applet.service.signer.KeyInfoKeySelector

All Implemented Interfaces:
  KeySelectorResult

Direct Known Subclasses:
  OPCKeySelector

    public class KeyInfoKeySelector

extends KeySelector
implements KeySelectorResult

JSR105 key selector implementation using the ds:KeyInfo data of the signature itself.

Author:
  Frank Cornelis

Nested Class Summary

Nested classes/interfaces inherited from class javax.xml.crypto.KeySelector
`KeySelector.Purpose`

Field Summary
`protected X509Certificate` | `certificate`

Constructor Summary
`KeyInfoKeySelector()`

Method Summary
`X509Certificate` | `getCertificate()` Gives back the X509 certificate used during the last signature verification operation.
`Key` | `getKey()`
`KeySelectorResult` | `select(KeyInfo keyInfo, KeySelector.Purpose purpose, AlgorithmMethod method, XMLCryptoContext context)`

Methods inherited from class javax.xml.crypto.KeySelector
`singletonKeySelector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### certificate

    protected X509Certificate certificate

Constructor Detail

### KeyInfoKeySelector

    public KeyInfoKeySelector()

Method Detail

### select

    public KeySelectorResult select(KeyInfo keyInfo,
                                    KeySelector.Purpose purpose,
                                    AlgorithmMethod method,
                                    XMLCryptoContext context)
                             throws KeySelectorException

  Specified by:
    `select` in class `KeySelector`
  Throws:
    `KeySelectorException`

### getKey

    public Key getKey()

  Specified by:
    `getKey` in interface `KeySelectorResult`

### getCertificate

    public X509Certificate getCertificate()

  Gives back the X509 certificate used during the last signature verification operation.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.